/* eslint-disable */
// 该文件由 OneAPI 自动生成，请勿手动修改！
import { request } from '@umijs/max';

export async function shopWalletItems(
  params,
  options,
) {
  return request('/admin/shop_wallet/items', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

export async function shopWalletConfigItems(
  params,
  options,
) {
  return request('/admin/withdraw_config/items', {
    method: 'POST',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

export async function shopWalletConfigCreate(
  params,
  options,
) {
  return request('/admin/withdraw_config/create', {
    method: 'POST',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

export async function shopWalletConfigUpdate(
  params,
  options,
) {
  return request('/admin/withdraw_config/update', {
    method: 'POST',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

export async function shopWalletConfigDelete(
  params,
  options,
) {
  return request('/admin/withdraw_config/delete', {
    method: 'POST',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}





